slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVSetRandom

Set the columns of a BV to random numbers.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetRandom(BV bv)

Logically Collective

### Input Parameters

| bv | - basis vectors

### Note

All active columns (except the leading ones) are modified.

### See Also

BVSetRandomContext(), BVSetRandomColumn(), BVSetRandomNormal(), BVSetRandomSign(), BVSetRandomCond(), BVSetActiveColumns()

### Level

advanced

### Location

src/sys/classes/bv/interface/bvops.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages